List Reviews - Flex Documentation

List Reviews

cURL

curl --request GET \
  --url https://api.withflex.com/v1/reviews \
  --header 'Authorization: Bearer <token>'

Python

import requests

url = "https://api.withflex.com/v1/reviews"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/reviews', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

<?php

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api.withflex.com/v1/reviews",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "GET",\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>

Go

package main

import (
    "fmt"
    "net/http"
    "io"
)

func main() {

url := "https://api.withflex.com/v1/reviews"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Unirest (Java)

HttpResponse<String> response = Unirest.get("https://api.withflex.com/v1/reviews")
  .header("Authorization", "Bearer <token>")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://api.withflex.com/v1/reviews")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body

Response Codes

Example Response

{
  "reviews": [\
    {\
      "review_id": "frv_01J9XR8M3K7VZ8N2YB4WJ6T0RA",\
      "charge_id": "fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA",\
      "payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",\
      "partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",\
      "reason": "rule",\
      "opened_reason": "rule",\
      "open": false,\
      "test_mode": false,\
      "client_reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",\
      "created_at": "2026-06-15T14:30:00Z"\
    }\
  ]
}

Error Response Structure

{
  "code": "string",
  "detail": "string"
}

Authorization

Authorization

Query Parameters